OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
TownCache Struct Reference

Data structure with cached data of towns. More...

`#include <town.h>`

## Data Fields
uint32 | num_houses
| Amount of houses.
uint32 | population
| Current population of people.
ViewportSign | sign
| Location of name sign, UpdateVirtCoord updates this.
PartOfSubsidyByte | part_of_subsidy
| Is this town a source/destination of a subsidy?
uint32 | squared_town_zone_radius [HZB_END]
| UpdateTownRadius updates this given the house count.
BuildingCounts< uint16 > | building_counts
| The number of each type of building in the town.

## Detailed Description

Data structure with cached data of towns.

Definition at line 45 of file town.h.

The documentation for this struct was generated from the following file:

- src/town.h